WayloAIWaylo Docs
APIReferenceDestinations

Get destination

GET
/destinations/{id}

One destination, by id. Never includes a secret.

Access: workspace_viewer · API key destinations:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

id*string

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
id*string
Formatuuid
workspaceId*string
Formatuuid
name*string
url*string
credentialId*|
Formatuuid
credentialName*string|null
credentialActive*boolean|null
sendTestCalls*boolean
instructions*string
active*boolean
createdByUserId*|
Formatuuid
createdByUserName*string|null
updatedByUserId*|
Formatuuid
updatedByUserName*string|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/destinations/string' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",  "name": "string",  "url": "string",  "credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e",  "credentialName": "string",  "credentialActive": true,  "sendTestCalls": true,  "instructions": "string",  "active": true,  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",  "createdByUserName": "string",  "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",  "updatedByUserName": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}